Add skeleton for 2.6.18
authorArnaud Lacombe <lacombar@gmail.com>
Tue, 24 Nov 2009 02:24:08 +0000 (21:24 -0500)
committerLuis R. Rodriguez <lrodriguez@atheros.com>
Tue, 1 Dec 2009 07:16:20 +0000 (23:16 -0800)
Signed-off-by: Arnaud Lacombe <lacombar@gmail.com>
Makefile
compat-2.6.18.c [new file with mode: 0644]
compat-2.6.18.h [new file with mode: 0644]
compat.h

index fe008df..9afc687 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -23,6 +23,7 @@ compat-y += main.o
 
 # Compat kernel compatibility code
 compat-$(CONFIG_COMPAT_KERNEL_14) += compat-2.6.14.o
+compat-$(CONFIG_COMPAT_KERNEL_18) += compat-2.6.18.o
 compat-$(CONFIG_COMPAT_KERNEL_22) += compat-2.6.22.o
 compat-$(CONFIG_COMPAT_KERNEL_23) += compat-2.6.23.o
 compat-$(CONFIG_COMPAT_KERNEL_24) += compat-2.6.24.o
diff --git a/compat-2.6.18.c b/compat-2.6.18.c
new file mode 100644 (file)
index 0000000..c7fb2e4
--- /dev/null
@@ -0,0 +1,18 @@
+/*
+ * Copyright 2007      Luis R. Rodriguez <mcgrof@winlab.rutgers.edu>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation.
+ *
+ * Compatibility file for Linux wireless for kernels 2.6.18.
+ */
+
+#include <net/compat.h>
+
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,18))
+
+/* 2.6.18 compat code goes here */
+
+#endif /* LINUX_VERSION_CODE < KERNEL_VERSION(2,6,18) */
+
diff --git a/compat-2.6.18.h b/compat-2.6.18.h
new file mode 100644 (file)
index 0000000..077f28b
--- /dev/null
@@ -0,0 +1,12 @@
+#ifndef LINUX_26_18_COMPAT_H
+#define LINUX_26_18_COMPAT_H
+
+#include <linux/autoconf.h>
+#include <linux/version.h>
+
+/* Compat work for 2.6.18 */
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,18))
+
+#endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,18)) */
+
+#endif /* LINUX_26_18_COMPAT_H */
index e537c23..433840c 100644 (file)
--- a/compat.h
+++ b/compat.h
@@ -10,6 +10,7 @@
  */
 
 #include "compat-2.6.14.h"
+#include "compat-2.6.18.h"
 #include "compat-2.6.22.h"
 #include "compat-2.6.23.h"
 #include "compat-2.6.24.h"